/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.flowable.dto.sm;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 状态流程定义
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public class StateProcessDefDto
{
  /**
   * 主键<br>
   */
  @ApiModelProperty(value = "主键")
  private String id;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty(value = "是否启用")
  private Boolean enabled;
  /**
   * 创建人<br>
   */
  @ApiModelProperty(value = "创建人")
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @DateTimeFormat(pattern = "yyyy-MM-dd")
  @JsonFormat(pattern = "yyyy-MM-dd")
  @ApiModelProperty(value = "创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty(value = "修改人")
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @DateTimeFormat(pattern = "yyyy-MM-dd")
  @JsonFormat(pattern = "yyyy-MM-dd")
  @ApiModelProperty(value = "更新时间")
  private Date updatedTime;
  /**
   * 状态流程名称<br>
   */
  @ApiModelProperty(value = "状态流程名称")
  private String name;
  /**
   * 是否允许AnyToAny<br>
   */
  @ApiModelProperty(value = "所有到所有")
  private Boolean allowedAnyToAny;
  /**
   * 是否可以编辑<br>
   */
  @ApiModelProperty(value = "是否可编辑")
  private Boolean canModify;

  /**
   * 是否默认<br>
   */
  @ApiModelProperty(value = "是否默认")
  private Boolean defaulted;

  @ApiModelProperty(value = "详细描述")
  private String memo;

  @ApiModelProperty(value = "是否使用枚举状态")
  private Boolean usedEnumState;

  @ApiModelProperty(value = "状态类目代码")
  private String catalogCode;

  @ApiModelProperty(value = "是否启用数据对象")
  private Boolean usedData;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public Boolean getAllowedAnyToAny()
  {
    return allowedAnyToAny;
  }

  public void setAllowedAnyToAny(Boolean allowedAnyToAny)
  {
    this.allowedAnyToAny = allowedAnyToAny;
  }

  public Boolean getCanModify()
  {
    return canModify;
  }

  public void setCanModify(Boolean canModify)
  {
    this.canModify = canModify;
  }

  public Boolean getDefaulted() {
    return defaulted;
  }

  public void setDefaulted(Boolean defaulted) {
    this.defaulted = defaulted;
  }

  public String getMemo() {
    return memo;
  }

  public void setMemo(String memo) {
    this.memo = memo;
  }

  public Boolean getUsedEnumState() {
    return usedEnumState;
  }

  public void setUsedEnumState(Boolean usedEnumState) {
    this.usedEnumState = usedEnumState;
  }

  public String getCatalogCode() {
    return catalogCode;
  }

  public void setCatalogCode(String catalogCode) {
    this.catalogCode = catalogCode;
  }

  public Boolean getUsedData() {
    return usedData;
  }

  public void setUsedData(Boolean usedData) {
    this.usedData = usedData;
  }
}
